Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlBody.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlBody.PropertyKeys>
          javax.faces.component.html.HtmlBody.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlBody.PropertyKeys>

Enclosing class:
  HtmlBody

    protected static enum HtmlBody.PropertyKeys

extends java.lang.Enum<HtmlBody.PropertyKeys>

Enum Constant Summary
`dir`
`lang`
`onclick`
`ondblclick`
`onkeydown`
`onkeypress`
`onkeyup`
`onload`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onunload`
`style`
`styleClass`
`title`
`xmlns`

Method Summary
`java.lang.String` | `toString()`
`static HtmlBody.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlBody.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### dir

    public static final HtmlBody.PropertyKeys dir

### lang

    public static final HtmlBody.PropertyKeys lang

### onclick

    public static final HtmlBody.PropertyKeys onclick

### ondblclick

    public static final HtmlBody.PropertyKeys ondblclick

### onkeydown

    public static final HtmlBody.PropertyKeys onkeydown

### onkeypress

    public static final HtmlBody.PropertyKeys onkeypress

### onkeyup

    public static final HtmlBody.PropertyKeys onkeyup

### onload

    public static final HtmlBody.PropertyKeys onload

### onmousedown

    public static final HtmlBody.PropertyKeys onmousedown

### onmousemove

    public static final HtmlBody.PropertyKeys onmousemove

### onmouseout

    public static final HtmlBody.PropertyKeys onmouseout

### onmouseover

    public static final HtmlBody.PropertyKeys onmouseover

### onmouseup

    public static final HtmlBody.PropertyKeys onmouseup

### onunload

    public static final HtmlBody.PropertyKeys onunload

### style

    public static final HtmlBody.PropertyKeys style

### styleClass

    public static final HtmlBody.PropertyKeys styleClass

### title

    public static final HtmlBody.PropertyKeys title

### xmlns

    public static final HtmlBody.PropertyKeys xmlns

Method Detail

### values

    public static HtmlBody.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlBody.PropertyKeys c : HtmlBody.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlBody.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlBody.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.